Bug 1188424 - Koan is incompatible with F21 virt-install
Summary: Koan is incompatible with F21 virt-install
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cobbler
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James C.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-02 20:44 UTC by Stephen Herr
Modified: 2015-07-30 00:39 UTC (History)
8 users (show)

Fixed In Version: cobbler-2.6.9-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-04 15:29:55 UTC
Type: Bug


Attachments (Terms of Use)
Patch based on upstream patch (1.62 KB, patch)
2015-02-23 09:14 UTC, Didier Fabert (tartare)
no flags Details | Diff

Description Stephen Herr 2015-02-02 20:44:26 UTC
Description of problem:
Koan incompatible with virt-install on F21. Virt-install has change in non-backwards-compatible ways in that now it gets its list of available variants from osinfo-query instead of maintaining the list itself. This means that the list of what variants are recognized is different, and the method koan uses to look up available variants is no longer valid.

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to kickstart a virtual guest with an os variant of (for example) "rhel6" on a Fedora 21 KVM host

Actual results:
ERROR Error validating install location: Distro 'generic26' does not exist in our dictionary

Expected results:
No errors.

Additional info:
See upstream pull request:
https://github.com/cobbler/cobbler/pull/1399

Comment 1 Didier Fabert (tartare) 2015-02-23 09:14:20 UTC
Created attachment 994319 [details]
Patch based on upstream patch

Patching virtinstall.py to be compatible with fc21

Comment 2 Fedora Update System 2015-04-28 17:55:09 UTC
cobbler-2.6.7-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-3.el7

Comment 3 Fedora Update System 2015-04-28 17:55:17 UTC
cobbler-2.6.7-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-3.fc22

Comment 4 Fedora Update System 2015-04-28 17:55:25 UTC
cobbler-2.6.7-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-3.fc21

Comment 5 Fedora Update System 2015-04-29 19:21:06 UTC
Package cobbler-2.6.7-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.6.7-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6064/cobbler-2.6.7-3.el7
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-05-04 15:29:55 UTC
cobbler-2.6.7-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-05-09 02:15:48 UTC
cobbler-2.6.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.el6

Comment 8 Fedora Update System 2015-05-09 02:16:01 UTC
cobbler-2.6.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.el7

Comment 9 Fedora Update System 2015-05-09 02:16:13 UTC
cobbler-2.6.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc20

Comment 10 Fedora Update System 2015-05-09 02:16:25 UTC
cobbler-2.6.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc22

Comment 11 Fedora Update System 2015-05-09 02:16:35 UTC
cobbler-2.6.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc21

Comment 12 Fedora Update System 2015-07-27 23:11:44 UTC
cobbler-2.6.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-27 23:12:27 UTC
cobbler-2.6.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-07-30 00:39:23 UTC
cobbler-2.6.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.